_SETTINGS:SetPlayerMenuOff()

local tankerRoosevelt=RECOVERYTANKER:New("USS Theodore Roosevelt", "Shell Roosevelt")
tankerRoosevelt:SetTakeoffAir()
tankerRoosevelt:SetRadio(138.300)
tankerRoosevelt:SetModex(511)
tankerRoosevelt:SetTACAN(43,"SL2")
tankerRoosevelt:__Start(1)

local pedroRoosevelt=RESCUEHELO:New("USS Theodore Roosevelt", "Pedro Roosevelt")
pedroRoosevelt:SetHomeBase(AIRBASE:FindByName("USS Port Royal"))
pedroRoosevelt:SetModex(44)
pedroRoosevelt:__Start(1)
  
local airbossRoosevelt=AIRBOSS:New("USS Theodore Roosevelt")
airbossRoosevelt:SetSoundfilesFolder("Airboss Soundfiles/")
airbossRoosevelt:SetDespawnOnEngineShutdown()
airbossRoosevelt:SetMaxFlightsPerStack(1)
airbossRoosevelt:SetMaxMarshalStacks(20)
airbossRoosevelt:SetMaxSectionSize(4)
airbossRoosevelt:SetLSORadio(337.200)
airbossRoosevelt:SetMarshalRadio(334.200)
airbossRoosevelt:SetICLS(11)
airbossRoosevelt:SetTACAN(71,"X","THR")
airbossRoosevelt:SetHandleAIOFF()
airbossRoosevelt:SetDefaultPlayerSkill(AIRBOSS.Difficulty.EASY)
airbossRoosevelt:SetAirbossNiceGuy(true)
airbossRoosevelt:SetEmergencyLandings(true)
airbossRoosevelt:SetPatrolAdInfinitum(true)
airbossRoosevelt:SetCarrierControlledArea(50)
airbossRoosevelt:SetMenuRecovery(30, 25, true, 0)
airbossRoosevelt:SetRadioRelayLSO("Relay Roosevelt")
airbossRoosevelt:SetHoldingOffsetAngle(0)
airbossRoosevelt:Start()

function tankerRoosevelt:OnAfterStart(From,Event,To)
  airbossRoosevelt:SetRecoveryTanker(tankerRoosevelt)  
end

function pedroRoosevelt:OnAfterStart(From,Event,To)
  airbossRoosevelt:SetRadioRelayMarshal(self:GetUnitName())
end

-- --- Function called when a player gets graded by the LSO.
-- function airbossRoosevelt:OnAfterLSOGrade(From, Event, To, playerData, grade)
--   local PlayerData=playerData --Ops.Airboss#AIRBOSS.PlayerData
--   local Grade=grade --Ops.Airboss#AIRBOSS.LSOgrade

--   ----------------------------------------
--   --- Interface your Discord bot here! ---
--   ----------------------------------------
  
--   local score=tonumber(Grade.points)
--   local name=tostring(PlayerData.name)
  
--   -- Report LSO grade to dcs.log file.
--   env.info(string.format("Player %s scored %.1f", name, score))
-- end
